#pragma once

class CConstrainDbgHelper
{
public:
	CConstrainDbgHelper(void);
	~CConstrainDbgHelper(void);

	static LPCTSTR objToClassStr(const AcRxObject* obj);
	static LPCTSTR objToClassAndHandleStr(const AcDbObject* obj, CString& str);
	static LPCTSTR objToHandleStr(const AcDbObject* obj, CString& str);
	static LPCTSTR objToEnameStr(const AcDbObject* obj, CString& str);
	static LPCTSTR dbToStr(AcDbDatabase* db, CString& str);
	static const TCHAR* rxErrorStr(Acad::ErrorStatus msgId);
	static LPCTSTR mergeStyleToStr(AcDb::DuplicateRecordCloning type, CString& str);
	static LPCTSTR booleanToStr(bool b, CString& str);
	static LPCTSTR dwgVersionToStr(AcDb::AcDbDwgVersion type, CString& str);
	static LPCTSTR intToStr(const int intVal, CString& str);
	static LPCTSTR dwgDataTypeToStr(const DwgDataType type, CString& str);
	static LPCTSTR AcDbEvalVariantToStr(const AcDbEvalVariant value, CString& str);
	static LPCTSTR ptToStr(const AcGePoint3d& pt, CString& str, int unit = -1, int prec = -1);
	static LPCTSTR ImplicitPointTypeToStr(const AcConstrainedImplicitPoint::ImplicitPointType& type, CString& str);
	static LPCTSTR  doubleToStr(const double realVal, CString& str, int unit = -1, int prec = -1);

	static AcDbEntity*			selectEntity(LPCTSTR prompt, AcDb::OpenMode openMode);
	static Acad::ErrorStatus    enameToObjId(ads_name ent, AcDbObjectId& objId);

};
