//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// Written by Philippe Leefsma - Autodesk Developer Technical Services. 2010.
// 
// Feedback and bug report: Philippe.Leefsma@Autodesk.com
//
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
#pragma once
#include "resource.h"
#include "afxcmn.h"
#include "AssocSurfacesUtil.h"


//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// The Surfaces List Dialog
//
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
class CSurfaceDbgDlg : public CAdUiDialog
{
	DECLARE_DYNAMIC(CSurfaceDbgDlg)

private:

	CComboBox m_ComboBoxCtrl;
	CTreeCtrl m_TreeCtrl;
	CListCtrl m_ListCtrl;

	CAssocSurfacesUtil m_surfaceUtility;

	map <HTREEITEM, AcDbObjectId> m_ItemToObjectIdMap;

	enum { IDD = IDD_SURFACEDBG_DLG };

	void InitializeListCtrl();

	virtual BOOL OnInitDialog();

	void Cleanup();
	
	afx_msg void OnTreeviewSelectionChanged(NMHDR *pNMHDR, LRESULT *pResult);

	afx_msg void OnComboSelectionChanged();

	HTREEITEM addTreeItem(LPCTSTR name,
		HTREEITEM parent = TVI_ROOT, 
		const AcDbObjectId& id = AcDbObjectId::kNull,
		ItemReference* pItemRef = NULL);

	HTREEITEM addSurfaceTreeItem(const AcDbObjectId& surfaceId);
	
	void displayPropertyList(vector<ObjectProperty>& properties);

protected:

	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()

public:

	CSurfaceDbgDlg(CWnd* pParent = NULL);   // standard constructor

	virtual ~CSurfaceDbgDlg();

	afx_msg void OnBnClickedOk();
	afx_msg void OnClose();
};